<?php
/*
Plugin Name: Most Commented
Version: 1.7.g
Description: Ajoute un lien "Plus commentes" dans le menu "Spciales"/ Add a "Most Commented" link in "Specials" menu.
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=145
Author: P@t
Author URI: http://www.gauchon.com
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
define('MOSTCOMMENTED_PATH' , PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');

function add_link_mostcommented()
{
  global $template, $conf;

  include(get_language_filepath('plugin.lang.php', MOSTCOMMENTED_PATH));

  $position = (isset($conf['mostcommented_position']) and is_numeric($conf['mostcommented_position'])) ? $conf['mostcommented_position'] : 3;
  
  $array = $template->_tpldata['special_cat.'];
  unset($template->_tpldata['special_cat.']);
  
  for($i=0; $i <= count($array); $i++)
  {  
    if ($position == $i+1)
    {
      $template->assign_block_vars('special_cat',
        array('URL' => make_index_url(array('section' => 'most_commented')),
              'TITLE' => $lang['most_commented_cat_hint'],
              'NAME' => $lang['most_commented_cat']));
    }
    if (isset($array[$i]))
    {
      $template->assign_block_vars('special_cat', $array[$i]);
    }
  }
}

function section_init_most_commented()
{
  global $tokens;
  if (in_array('most_commented', $tokens))
    include(MOSTCOMMENTED_PATH . 'most_commented.php');
}

add_event_handler('loc_end_menubar' , 'add_link_mostcommented');
add_event_handler('loc_end_section_init', 'section_init_most_commented');

?>